Skip to main content
POST
/
v2
/
appkeys
Create App Key
curl --request POST \
  --url https://api.loyalty.dog/v2/appkeys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "fullAccess": true,
  "expires": 123,
  "allowedTemplates": [
    "5eb7cf5a86d9755df3a6c593"
  ]
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

authorization
string | null

Body

application/json
name
string | null
fullAccess
boolean | null
expires
integer | null
allowedTemplates
string[] | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$

Response

Successful Response